%global desc Readme Renderer is a library that will safely render arbitrary README files into \
HTML. It is designed to be used in Warehouse to render the long_description for packages. It can \
handle Markdown, reStructuredText (.rst), and plain text.
%global srcname readme_renderer


Name:      python-readme-renderer
Version:   24.0
Release:   2%{?dist}
BuildArch: noarch

License: ASL 2.0
Summary: Safely render long_description/README files in Warehouse
URL:     https://github.com/pypa/readme_renderer
Source0: %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: python2-devel
BuildRequires: python3-devel
BuildRequires: %{py2_dist bleach} >= 2.1.4
BuildRequires: %{py2_dist docutils}
BuildRequires: %{py2_dist mock}
BuildRequires: %{py2_dist pygments}
BuildRequires: %{py2_dist pytest}
BuildRequires: %{py2_dist six}
BuildRequires: %{py3_dist bleach} >= 2.1.4
BuildRequires: %{py3_dist docutils}
BuildRequires: %{py3_dist mock}
BuildRequires: %{py3_dist pygments}
BuildRequires: %{py3_dist pytest}
BuildRequires: %{py3_dist six}


%description
%{desc}


%package docs
Summary: Documentation for %{name}


%description docs
Documentation for %{name}.


%package -n python2-%{srcname}
Summary: %{summary}

Requires: %{py2_dist bleach} >= 2.1.4
Requires: %{py2_dist docutils}
Requires: %{py2_dist pygments}
Requires: %{py2_dist six}

%{?python_provide:%python_provide python2-%{srcname}}


%description -n python2-%{srcname}
%{desc}


%package -n python3-%{srcname}
Summary: %{summary}

Requires: %{py3_dist bleach} >= 2.1.4
Requires: %{py3_dist docutils}
Requires: %{py3_dist pygments}
Requires: %{py3_dist six}
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-%{srcname}
%{desc}


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
py.test-3
# These tests fail for some reason, but they are just asserting that warnings are emmitted and they
# are in Python 3, so let's ignore that in Python 2 since it's going EOL anyway.
rm tests/test_noextra.py
py.test-2


%files docs
%license LICENSE
%doc CHANGES.rst
%doc README.rst


%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/*.egg-info


%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/*.egg-info


%changelog
* Wed Jan 02 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 24.0-2
- Add a python2 subpackage.

* Wed Dec 05 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 24.0-1
- Initial package.
